GG: GG::Font::FormattingTag Struct Reference

GG

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GG::Font::FormattingTag Struct Reference

`#include <Font.h>`

Inheritance diagram for GG::Font::FormattingTag:

## Public Member Functions
| FormattingTag (bool close)
virtual TextElementType | Type () const
Public Member Functions inherited from GG::Font::TextElement
| TextElement (bool ws, bool nl)
virtual | ~TextElement ()
X | Width () const
CPSize | CodePointSize () const

## Public Attributes
std::vector< Substring > | params
Substring | tag_name
const bool | close_tag
Public Attributes inherited from GG::Font::TextElement
Substring | text
std::vector< X > | widths
const bool | whitespace
const bool | newline

## Additional Inherited Members
Public Types inherited from GG::Font::TextElement
enum | TextElementType { OPEN_TAG, CLOSE_TAG, TEXT, WHITESPACE, NEWLINE }

## Detailed Description

The type of TextElement that represents a text formatting tag.

Definition at line 233 of file Font.h.

## Constructor & Destructor Documentation

GG::Font::FormattingTag::FormattingTag | ( | bool | close | ) |

Ctor. close indicates that the tag is a close-tag (e.g. "</rgba>").

## Member Function Documentation

virtual TextElementType GG::Font::FormattingTag::Type | ( |  | ) | const
| virtual

Returns the TextElementType of the element.

Reimplemented from GG::Font::TextElement.

## Member Data Documentation

std::vector<Substring> GG::Font::FormattingTag::params

The parameter strings within the tag, e.g. "0", "0", "0", and "255" for the tag "<rgba 0 0 0 255>".

Definition at line 243 of file Font.h.

Substring GG::Font::FormattingTag::tag_name

The name of the tag (e.g. for the tag "<i>", tag_name is "i").

Definition at line 246 of file Font.h.

const bool GG::Font::FormattingTag::close_tag

True iff this is a close-tag.

Definition at line 249 of file Font.h.

The documentation for this struct was generated from the following file:

- Font.h